pandoc-1.11.1: Conversion between markup formats

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>
Safe Haskell | None

Text.Pandoc.Readers.Native

Description

Conversion of a string representation of a pandoc type (`Pandoc`, `[Block]`, `Block`, `[Inline]`, or `Inline`) to a `Pandoc` document.

Synopsis

- readNative :: String -> Pandoc

# Documentation

readNative

Arguments

:: String | String to parse (assuming `'\n'` line endings)
-> Pandoc |

Read native formatted text and return a Pandoc document. The input may be a full pandoc document, a block list, a block, an inline list, or an inline. Thus, for example,

     Str "hi"

will be treated as if it were

     Pandoc (Meta [] [] []) [Plain [Str "hi"]]